<script setup="setup">

const store = usePojmiStore()
await store.naloziPojme()

const navodila = ref(null)

onMounted(() => {
  if (location && location.hash == '#skrol') {
    setTimeout(() => {
      navodila.value.scrollIntoView({ behavior: 'smooth' })
    }, 50)
  }
})

</script>

<template>
  <h3 class="navodila" ref="navodila">Vsak lahko prispeva k vsebinam manifesta. Predlaga lahko nov pojem ali ureja, dopolni ali predela obstoječe.</h3>
  <NuxtLink class="gumb" to="/manifest/dodaj">
    Dodaj Nov Pojem
  </NuxtLink>
  <NuxtLink
    v-for="pojem in Object.keys(store.pojmi)"
    :naslov="pojem"
    :to="`/manifest/${encodeURIComponent(pojem)}`"
    class="okvir">
    <h2>{{ pojem }}</h2>
  </NuxtLink>
</template>

<style scoped>
  a {
    clear: both;
  }
  h2 {
    margin-bottom: 0;
  }

  .navodila {
    padding-left: 2rem;
    padding-right: 2rem;
    text-align: center;
  }
</style>
